Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.sockets
Class QueuedClientSocketFactory

    java.lang.Object
      org.jboss.net.sockets.QueuedClientSocketFactory

All Implemented Interfaces:
  Externalizable, RMIClientSocketFactory, Serializable

public class QueuedClientSocketFactory
extends Object
implements RMIClientSocketFactory, Externalizable

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org
See Also:
  Serialized Form

Constructor Summary
`QueuedClientSocketFactory()`
`QueuedClientSocketFactory(long nPermits)`

Method Summary
`Socket` | `createSocket(String host, int port)` Create a server socket on the specified port (port 0 indicates an anonymous port).
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueuedClientSocketFactory

    public QueuedClientSocketFactory()

### QueuedClientSocketFactory

    public QueuedClientSocketFactory(long nPermits)

Method Detail

### createSocket

    public Socket createSocket(String host,
                               int port)
                        throws IOException

  Create a server socket on the specified port (port 0 indicates an anonymous port).

  Specified by:
    `createSocket` in interface `RMIClientSocketFactory`
  Parameters:
    `port` - the port number
  Returns:
    the server socket on the specified port
  Throws:
    `IOException` - if an I/O error occurs during server socket creation
  Since:
    1.2

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.